Get Events Continue

View as MarkdownOpen in Claude
Once a cursor has been retrieved from [get_events](api:dropbox-api:POST/2/team_log/get_events), use this to paginate through all events. Permission : Team Auditing. **Required scope:** `events.read` **Endpoint format:** [RPC](https://docs.dropboxapi.com/dropbox-api/docs/technical-reference/request-response-formats#rpc-endpoints) **Authentication:** [Team](https://docs.dropboxapi.com/dropbox-api/docs/auth-types#team-authentication)

Authentication

AuthorizationBearer
Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use `Authorization: Bearer <token>`. Obtain via the authorization code flow with team-scoped permissions. Grants access to team-wide administrative operations. You can generate a short-lived access token from the App Console; see [Testing with a generated token](https://docs.dropboxapi.com/dropbox-api/docs/oauth#testing-with-a-generated-token).

Request

This endpoint expects an object.
cursorstringRequired
Indicates from what point to get the next set of events.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
cursorstring

Pass the cursor into get_events/continue to obtain additional events.

The value of cursor may change for each response from get_events/continue, regardless of the value of has_more; older cursor strings may expire.

Thus, callers should ensure that they update their cursor based on the latest value of cursor after each call, and poll regularly if they wish to poll for new events.

Callers should handle reset exceptions for expired cursors.

eventslist of objects
List of events. Note that events are not guaranteed to be sorted by their timestamp value.
has_moreboolean

Is true if there may be additional events that have not been returned yet. An additional call to get_events/continue can retrieve them. Note that has_more may be true, even if events is empty.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error